### Function

# Gtk test_widget_wait_for_draw

since: 4.0

#### Declaration [src]

    void
    gtk_test_widget_wait_for_draw (
      GtkWidget* widget
    )

#### Description [src]

Enters the main loop and waits for `widget` to be “drawn”.

In this context that means it waits for the frame clock of `widget` to have run a full styling, layout and drawing cycle.

This function is intended to be used for syncing with actions that depend on `widget` relayouting or on interaction with the display server.

Available since: 4.0

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget to wait for.

  The data is owned by the caller of the function.